declare namespace I18n {
  type LangType = 'zh-HK' | 'zh-CN' | 'en'

  type Schema = {
    common_module: {
      cancel_btn_text: string
      confirm_btn_text: string
      prev_btn_text: string
      next_btn_text: string
      create: string
      delete: string
      login: string
      logout: string
      not_login_text: string
      login_now: string
      name: string
      desc: string
      publish_time_in: string
      created_time: string
      modified_time: string
      is_open: string
      status: string
      publish: string
      published: string
      unpublished: string
      ai_generate: string
      regenerate: string
      config: string
      agent: string
      knowledge: string
      custom: string
      char: string
      upload: string
      uploading: string
      upload_success_message: string
      empty_data: string
      search_empty_data: string
      create_agent_btn_text: string
      copy_success_message: string
      delete_success_message: string
      save_success_message: string
      save_fail_message: string
      edit_success_message: string
      publish_success_message: string
      clear_success_message: string
      add_success_message: string
      loading: string
      updating: string
      successful_update: string
      recommended_questions: string
      exchange: string
      tip: string
      during_operation: string
      deletion_failed_please_try_again: string
      select_all: string
      quit: string
      retry: string
      currently: string
      multi_model_debug: string
      accurate_mode: string
      balance_mode: string
      creative_mode: string
      all: string
      collect: string
      listing_successfully: string
      listing_failed: string
      removal_successfully: string
      removal_failed: string
      collect_successfully: string
      collect_unsubscribed: string
      preservation: string
      open: string
      close: string
      delete_tip_title: string
      wipe_data: string
      delete_all_tip_title: string
      search: string
      add: string
      remove: string
      add_knowledge: string
      no_file: string
      view_file: string
      total_file: string
      expired_identity: string
      avatar: string
      mobile_phone_number: string
      email: string
      password: string
      language: string
      change: string
      bind: string
      sms: string
      verificationCode: string
      role: string
      mandarin: string
      cantonese: string
      english: string
      voice: string
      sound: string
      voice_auto_play: string
      start_playing: string
      stop_playing: string
      unplayable: string
      unplayable_tip: string
      response_error: string
      agent_exception: string
      equity: string
      file_size_limit: string

      dialogue_module: {
        continue_question_message: string
        empty_message_content: string
        question_input_placeholder: string
        generate_warning_message: string
        clear_message_popover_message: string
        clear_message_dialog_title: string
        clear_message_dialog_content: string
        cancel_associate_file_tip: string
        upload_file_limit: string
        overwrite_file_tip: string
        stop_playing_and_then_operate: string
        do_not_operate_until_the_reply_is_complete: string
      }

      data_table_module: {
        action: string
        edit: string
        copy: string
        delete: string
        view: string
        analysis: string
        listing_applications: string
        remove_applications: string
      }

      pagination_module: {
        page_no: string
        page_size: string
        page_unit: string
        total: string
        goto: string
        remove_applications_dialog_title: string
        already_bottom: string
        application_empty: string
      }
    }

    router_title_module: {
      login: string
      server_error: string
      universal: string
      home: string
      personal: string
      app_setting: string
      agent_application: string
      share_application: string
      knowledge: string
      upload_knowledge_document: string
      knowledge_document_list: string
      knowledge_document_detail: string
      multi_model_dialogue: string
      explore: string
      application_square: string
      personal_settings: string
    }

    login_module: {
      app_welcome_words: string
      please_enter_your_account_number: string
      please_enter_your_password: string
      please_enter_your_cell_phone_number: string
      please_enter_your_correct_cell_phone_number: string
      please_enter_the_verification_code: string
      please_enter_your_email_address: string
      please_enter_the_correct_email_address: string
      mainland_china: string
      hong_kong_china: string
      login_success: string
      get_verification_code: string
      other_login_methods: string
    }

    home_module: {
      agent_welcome_message: string
      agent_description: string
      currently_in_the_latest_session: string
      switching_over: string
      history_application_success: string
      history_application_failed_please_try_again: string
      starting_a_new_session: string
      please_enter_a_question: string
      all_of_the_above_content_is_generated_by_ai_and_is_for_reference_only: string
      history_record_item_delete_tip: string
      there_is_currently_no_history_to_work_with: string
      the_selected_list_cannot_be_empty: string
      history_record_item_apply_tip: string
      historical_record: string
      interrupt_dialogue_prompt: string
      interrupt_the_conversation_and_apply_the_history_prompt: string
    }

    personal_space_module: {
      title: string
      create_btn_text: string

      tab_module: {
        agent_module: {
          agent_list_module: {
            agent_title: string
            large_model: string
            agent_id: string
            agent_publish_status: string
            publish_status: string
            modified_time: string
            channel: string
            channel_popover_text: string
            agent_copy: string
            empty_agent_list: string
            delete_agent_dialog_title: string
            delete_agent_dialog_content: string
          }
        }

        agent_setting_module: {
          modified: string
          auto_save_in: string
          update_publish_btn_text: string
          publish_btn_text: string
          please_finish_publish: string
          missing_agent_title_message: string
          missing_agent_desc_message: string

          agent_config_module: {
            stop_generate: string
            generating_config_message: string

            title: string
            ai_auto_config: string
            question_answer_model: string
            question_answer_model_desc: string
            generate_diversity: string
            accurate_mode: string
            balance_mode: string
            creative_mode: string
            topP: string
            topP_popover_message: string
            temperature: string
            temperature_popover_message: string
            communication_turn: string
            communication_turn_popover_message: string
            agent_setting: string
            base_info: string
            agent_title_input_placeholder: string
            agent_title_input_rule_message: string
            agent_desc_input_placeholder: string
            update_avatar: string
            agent_system_prompt: string
            agent_system_popover_message: string
            optimize_agent_system_prompt: string
            optimize_agent_system_popover_message: string
            agent_system_template: string
            agent_system_template_message: string
            agent_system_input_placeholder: string

            ability_expand: string
            knowledge: string
            knowledge_base: string
            knowledge_base_desc: string
            upload_file: string
            upload_file_desc: string
            dialogue: string
            preamble: string
            preamble_input_placeholder: string
            featured_questions: string
            featured_questions_input_placeholder: string
            continuous_question: string
            continuous_question_popover_message: string
            continuous_question_default: string
            continuous_question_default_desc: string
            continuous_question_close: string
            continuous_question_close_desc: string
            memory: string
            add_memory_variable: string
            memory_variable: string
            memory_message: string
            memory_variable_message: string
            memory_variable_action_edit: string
            memory_variable_action_copy: string
            variable_name: string
            variable_value: string
            memory_fragment: string
            memory_fragment_message: string
            memory_fragment_content: string
            memory_variable_delete_tip_content: string
            memory_fragment_delete_all_tip_content: string
            memory_fragment_delete_row_tip_content: string
            add_knowledge_successfully: string
            remove_knowledge_successfully: string
            setting_voice: string
            setting_voice_message: string
            setting_voice_desc: string
            currently_only_one_voice_can_be_set: string

            memory_variable_modal: {
              edit_memory_variable: string
              memory_variable_message_tip: string
              memory_variable_table_name: string
              memory_variable_table_name_tip: string
              memory_variable_table_name_content: string
              memory_variable_table_name_length: string
              memory_variable_table_default_value: string
              default_value_tip: string
              default_value_tip_example: string
              memory_variable_table_action: string
              default_value_placeholder: string
              name_placeholder: string
              add_variable: string
              memory_variable_add_now: string
              none_memory_variable: string
              add_variable_message: string

              memory_variable_rules: {
                name_not_null: string
                name_length: string
                name_supports: string
                name_not_duplicated: string
              }
            }

            preview: string

            avatar_oversize_message: string
            generate_format_error_message: string

            auto_config_modal_module: {
              modal_title: string
              generate_tip_message: string
              auto_config_input_placeholder: string
              cancel_btn_text: string
              random_generate_btn_text: string
            }

            optimize_system_modal_module: {
              modal_title: string
              confirm_btn_text: string
            }
          }

          agent_publish_module: {
            channel: string
            web_channel_name: string
            web_channel_desc: string
            access_page: string
            share_link: string
            copy_share_url_success_message: string
            application_square_desc: string
            modify_setting_btn: string
            not_configured_btn: string
            removal_prompt_title: string
            removal_prompt_content: string
            successfully_configured_published: string
          }
        }

        agent_sale_module: {
          application_square_release_setting: string
          application_classification: string
          application_classification_null: string

          application_classify: {
            media_entertainment: string
            education_training: string
            business_services: string
            medical_health: string
            efficiency_tools: string
            office_personnel: string
            marketing_commerce: string
            finance: string
            law: string
            culture_tourism: string
          }
          is_copy: string
          yes: string
          no: string
          confirm_release: string
          copy_tip: string
        }

        knowledge_module: {
          search_knowledge_placeholder: string
          knowledge_name: string
          knowledge_desc: string
          delete_knowledge_dialog_content: string
          not_find_knowledge_message: string

          search_knowledge_document_placeholder: string
          knowledge_document_name: string
          knowledge_document_char_count: string
          knowledge_document_format: string
          view_knowledge_document_fragment: string
          training_knowledge_document: string
          empty_knowledge_document_list: string
          upload_knowledge_document_btn_text: string
          batch_delete_knowledge_document_btn_text: string
          not_find_knowledge_document_message: string

          create_knowledge_modal_title: string
          edit_knowledge_modal_title: string
          knowledge_name_input_placeholder: string
          knowledge_desc_input_placeholder: string
          knowledge_import_type_label: string
          knowledge_type_rule: string
          knowledge_name_rule: string
          knowledge_import_type_rule: string
          knowledge_document_text_type: string
          import_local_document_knowledge: string
          import_local_document_knowledge_desc: string

          segment: string
          auto_segment: string
          add_chunk_up_message: string
          add_chunk_down_message: string
          search_knowledge_chunk_placeholder: string
          add_knowledge_chunk_modal_title: string
          knowledge_chunk_content_input_placeholder: string
          knowledge_chunk_content_input_rule: string
          delete_knowledge_chunk_content_message: string

          upload_document_module: {
            segment_setting: string
            data_process: string
            process_success: string
            process_fail: string
            processed: string
            upload_action_tip_message: string
            upload_limit_tip_message: string
            empty_document_content_message: string
            upload_format_error_message: string
            upload_size_error_message: string
            upload_error_message: string
            default_segment_setting_title: string
            default_segment_setting_desc: string
            data_process_tip_message: string
          }
        }
      }
    }

    share_agent_module: {
      please: string
      after_action: string
      create_agent_dialogue_title: string
      create_agent_dialogue_content: string
      create_agent_dialogue_positive_text: string
    }

    multi_model_dialogue_module: {
      not_find_agent: string
      add_model: string
      quit_test: string
      model_setting: string
      agent_system: string
      remove_dialogue: string
      one_click_configuration: string
      select_model: string
      please_select_model: string
      please_select_model_first: string
      replace_configuration_tip: string
      open_new_conversation: string
    }

    applications_square_module: {
      create_application_btn_text: string
      all_application_btn_text: string
      immediate_use_btn_text: string
    }

    personal_settings_module: {
      personal_settings_title: string
      basic_information_setting: string
      account_nickname: string
      personal_profile: string
      click_bind_email: string
      click_to_set_password: string
      language_setting: string
      language_setting_doc: string
      email_binding: string
      password_change: string
      new_password: string
      please_enter_your_new_password: string
      confirm_new_password: string
      please_enter_confirm_new_password: string
      the_password_contains_a_maximum_of_6_characters: string
      verify_that_the_new_password_is_inconsistent_with_the_new_password: string
      please_enter_the_account_nickname: string
      please_enter_a_personal_profile: string
      please_enter_the_correct_verification_code: string
      binding_successful: string
      obtaining_the_verification_code: string
      upload_file: string
      file_type_restriction_doc: string
      the_file_type_cannot_be_uploaded: string
    }

    equity_Module: {
      file_empty_tip: string
    }
  }
}
